package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.Result;
import com.izouma.awesomeadmin.model.VuforiaImageInfo;
import com.izouma.awesomeadmin.model.VuforiaTarget;


/**
*  service接口类
*/
public interface VuforiaImageInfoService{

    List<VuforiaImageInfo> getVuforiaImageInfoList(VuforiaImageInfo record);

    List<VuforiaImageInfo> getVuforiaImageInfoByPage(Page page, VuforiaImageInfo record);

    VuforiaImageInfo getVuforiaImageInfoById(String id);

    VuforiaImageInfo getVuforiaImageInfo(VuforiaImageInfo record);

    boolean createVuforiaImageInfo(VuforiaImageInfo record);

    Result deleteVuforiaImageInfo(VuforiaImageInfo record);

    boolean updateVuforiaImageInfo(VuforiaImageInfo record);

    VuforiaTarget getVuforiaTarget(String id);
}

